package com.ym.mec.biz.dal.entity;


import java.util.Date;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.baomidou.mybatisplus.annotation.TableId;

import java.io.Serializable;

/**
 * 直播视频记录(ImLiveRoomVideo)表实体类
 *
 * @author hgw
 * @since 2022-03-07 19:06:54
 */
@ApiModel(value = "im_live_room_video-直播视频记录")
public class ImLiveRoomVideo implements Serializable {
    @TableId(value = "id_", type = IdType.AUTO)
    @ApiModelProperty(value = "主键")
    private Integer id;

    @TableField("room_uid_")
    @ApiModelProperty(value = "房间编号")
    private String roomUid;

    @TableField("record_id_")
    @ApiModelProperty(value = "融云直播视频id")
    private String recordId;

    @TableField("url_")
    @ApiModelProperty(value = "直播视频地址")
    private String url;

    @TableField("start_time_")
    @ApiModelProperty(value = "视频开始时间")
    private Date startTime;

    @TableField("end_time_")
    @ApiModelProperty(value = "视频结束时间")
    private Date endTime;

    @TableField("type")
    @ApiModelProperty(value = "录制状态 0开始录制  1录制结束 2融云回调完成")
    private Integer type;

    @TableField("created_time_")
    @ApiModelProperty(value = "创建时间")
    private Date createdTime;

    private static final long serialVersionUID = 1L;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getRoomUid() {
        return roomUid;
    }

    public void setRoomUid(String roomUid) {
        this.roomUid = roomUid;
    }

    public String getRecordId() {
        return recordId;
    }

    public void setRecordId(String recordId) {
        this.recordId = recordId;
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    public Date getStartTime() {
        return startTime;
    }

    public void setStartTime(Date startTime) {
        this.startTime = startTime;
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public Date getCreatedTime() {
        return createdTime;
    }

    public void setCreatedTime(Date createdTime) {
        this.createdTime = createdTime;
    }

}

